[MajorSecurity #20]SiteDepth CMS <= 3.01 - Remote File Include Vulnerability

2006-07-24T00:00:00
ID SECURITYVULNS:DOC:13583
Type securityvulns
Reporter Securityvulns
Modified 2006-07-24T00:00:00

Description

[MajorSecurity #20]SiteDepth CMS <= 3.01 - Remote File Include Vulnerability

Software: SiteDepth CMS

Version: <=3.01

Type: Remote File Include Vulnerability

Made public: July, 18th 2006

Vendor: SiteDepth.com

Page: http://sitedepth.com

Rated as: High Risk

Credits:

Discovered by: David "Aesthetico" Vieira-Kurz http://www.majorsecurity.de

Original Advisory:

http://www.majorsecurity.de/advisory/major_rls20.txt

Affected Products:

SiteDepth CMS 3.01 and prior

Description:

SiteDepth is the most powerful adult paysite CMS on the market!

Requirements:

register_globals = On

Vulnerability:

Input passed to the "SD_DIR" parameter in "constants.php" is not properly verified, before it is used to include files. This can be exploited to execute arbitrary code by including files from external resources.

Solution:

Edit the source code to ensure that input is properly sanitised. Set "register_globals" to "Off".